# -*- coding: iso-8859-15 -*-

import threading
from Servidor import Servidor
				
class UDPServer_thread (threading.Thread):

    def __init__(self, nombre, ip):

        threading.Thread.__init__(self)
        self.setName(nombre)

	self.servidor = None

    def run (self):
        print '%s Corriendo Adecuadamente' % self.getName()
	self.servidor = Servidor()

'''
Métodos para La clase Thread:
start() Lanza la hebra. Internamente llama al método run.
run() Indica el código que se ejecutará cuando se lance la hebra.
join() Espera a que la hebra termine, salvo cuando hay algún temporizador (timeout).
getName() Devuelve el nombre de la hebra.
setName() Cambia el nombre de la hebra.
isAlive() Devuelve si la hebra está viva (ejecutándose) o no.
isDaemon() Devuelve el flag de demonio.
setDaemon() Activa el flag de demonio de la hebra. Un programa en Python puede salir solamente cuando no hay hebras de demonio en su interior. 

threading es también un objeto con métodos asociados.
Por ejemplo, podemos conocer el número de hebras que se están ejecutando en este momento escribiendo:

    threading.activeCount()

ver: http://docs.python.org/lib/module-threading.html
'''
