#!/usr/bin/env python
# -*- coding: utf-8 -*-

import SocketServer
import gobject

import gtk
import pygtk
pygtk.require("2.0")
import sys

class GTK_JAMtank():
# clase base que contiene: ventana inicial y juego pygame.

	def __init__(self):
	# inicia una ventana gtk y un reloj para llamar al juego cuando se cierre la ventana gtk.
		self.jamtank = None
		self.servidor = None
		self.modo = None
		self.estado = "Presentacion"

		reloj = gobject.timeout_add(500, self.get_Juego) # verifica si se ha elegido abrir el juego
		ventana = self.get_Ventana() # entra en bucle gtk.main

	def set_Estado(self, widget, modo):
	# para poder llamar al juego luego de que se cierre la ventana gtk
		self.modo = modo # Servidor o Cliente
		self.estado = "Juego"

	#----------------------Juego pygame-------------------------------------------------------------
	def get_Juego(self):
	# Se llama al juego pygame
		if self.estado == "Juego":

			ip = None
			if self.modo == "servidor":
				'''from Servidor import Servidor
				self.servidor = Servidor() '''
				ip = "localhost"

				from UDPServer_thread import UDPServer_thread
				self.servidor = UDPServer_thread("Servidor", ip)
				self.servidor.start()

			elif self.modo == "cliente":
				ip = "localhost"#"192.168.1.2"
				pass

			from JAMtank import JAMtank
			self.jamtank = JAMtank(ip)

			return False # no volver por acá

		return True # seguir viniendo por acá
	#----------------------Juego pygame-------------------------------------------------------------

	#----------------------Ventana - Interfase Juego como Servidor o Cliente------------------------
	def get_Ventana(self):
	# devuelve una ventana para seleccionar crear juego o unirse a juego creado
		ventana = gtk.Window(gtk.WINDOW_TOPLEVEL)

		ventana.set_title("-.JAMtank (versión 1).- -. CeibalJAM! 2010.-")
		ventana.set_resizable(True)
        	ventana.set_border_width(10)
		ventana.resize(800, 600)

		tabla = gtk.Table(rows=4, columns=3, homogeneous=True)
		# Boton servidor
		boton_servidor = gtk.Button("Crear Juego en Red")
		tabla.attach(boton_servidor, 1, 2, 1, 2)
		boton_servidor.connect("clicked", self.set_Estado, "servidor")
		boton_servidor.connect_object("clicked", gtk.Widget.destroy, ventana)
		# Boton cliente
		boton_cliente = gtk.Button("Conectar con Juego en Red")
		tabla.attach(boton_cliente, 1, 2, 2, 3)
		boton_cliente.connect("clicked", self.set_Estado, "cliente")
		boton_cliente.connect_object("clicked", gtk.Widget.destroy, ventana)
		ventana.add(tabla)
		ventana.show_all() 

		gtk.main()
		return ventana

	def delete_event(self, widget, event, data=None):
	# Cierra la ventana gtk
		return gtk.FALSE	
	#----------------------Ventana - Interfase Juego como Servidor o Cliente------------------------

if __name__ == "__main__":
	GTK_JAMtank()
	

